OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXDESTEP
STEPCAFControl

# STEPCAFControl_DataMapOfLabelExternFile Class Reference

`#include <STEPCAFControl_DataMapOfLabelExternFile.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | STEPCAFControl_DataMapOfLabelExternFile (const Standard_Integer NbBuckets=1)
Standard_EXPORT STEPCAFControl_DataMapOfLabelExternFile & | Assign (const STEPCAFControl_DataMapOfLabelExternFile &Other)
STEPCAFControl_DataMapOfLabelExternFile & | operator= (const STEPCAFControl_DataMapOfLabelExternFile &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~STEPCAFControl_DataMapOfLabelExternFile ()
Standard_EXPORT Standard_Boolean | Bind (const TDF_Label &K, const Handle(STEPCAFControl_ExternFile)&I)
Standard_EXPORT Standard_Boolean | IsBound (const TDF_Label &K) const
Standard_EXPORT Standard_Boolean | UnBind (const TDF_Label &K)
Standard_EXPORT const Handle_STEPCAFControl_ExternFile & | Find (const TDF_Label &K) const
const Handle_STEPCAFControl_ExternFile & | operator() (const TDF_Label &K) const
Standard_EXPORT Handle_STEPCAFControl_ExternFile & | ChangeFind (const TDF_Label &K)
Handle_STEPCAFControl_ExternFile & | operator() (const TDF_Label &K)
## Private Member Functions
Standard_EXPORT | STEPCAFControl_DataMapOfLabelExternFile (const STEPCAFControl_DataMapOfLabelExternFile &Other)

## Constructor & Destructor Documentation

Standard_EXPORT STEPCAFControl_DataMapOfLabelExternFile::STEPCAFControl_DataMapOfLabelExternFile | ( | const Standard_Integer | NbBuckets = `1` | ) |

STEPCAFControl_DataMapOfLabelExternFile::~STEPCAFControl_DataMapOfLabelExternFile | ( |  | ) | `[inline]`

Standard_EXPORT STEPCAFControl_DataMapOfLabelExternFile::STEPCAFControl_DataMapOfLabelExternFile | ( | const STEPCAFControl_DataMapOfLabelExternFile & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT STEPCAFControl_DataMapOfLabelExternFile& STEPCAFControl_DataMapOfLabelExternFile::Assign | ( | const STEPCAFControl_DataMapOfLabelExternFile & | Other | ) |

Standard_EXPORT Standard_Boolean STEPCAFControl_DataMapOfLabelExternFile::Bind | ( | const TDF_Label & | K,
|  | const Handle(STEPCAFControl_ExternFile)& | I
| ) |

Standard_EXPORT Handle_STEPCAFControl_ExternFile& STEPCAFControl_DataMapOfLabelExternFile::ChangeFind | ( | const TDF_Label & | K | ) |

Standard_EXPORT void STEPCAFControl_DataMapOfLabelExternFile::Clear | ( |  | ) |

Standard_EXPORT const Handle_STEPCAFControl_ExternFile& STEPCAFControl_DataMapOfLabelExternFile::Find | ( | const TDF_Label & | K | ) | const

Standard_EXPORT Standard_Boolean STEPCAFControl_DataMapOfLabelExternFile::IsBound | ( | const TDF_Label & | K | ) | const

void STEPCAFControl_DataMapOfLabelExternFile::operator delete | ( | void * | anAddress | ) | `[inline]`

void* STEPCAFControl_DataMapOfLabelExternFile::operator new | ( | size_t | size | ) | `[inline]`

void* STEPCAFControl_DataMapOfLabelExternFile::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_STEPCAFControl_ExternFile& STEPCAFControl_DataMapOfLabelExternFile::operator() | ( | const TDF_Label & | K | ) | `[inline]`

const Handle_STEPCAFControl_ExternFile& STEPCAFControl_DataMapOfLabelExternFile::operator() | ( | const TDF_Label & | K | ) | const`[inline]`

STEPCAFControl_DataMapOfLabelExternFile& STEPCAFControl_DataMapOfLabelExternFile::operator= | ( | const STEPCAFControl_DataMapOfLabelExternFile & | Other | ) | `[inline]`

Standard_EXPORT void STEPCAFControl_DataMapOfLabelExternFile::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean STEPCAFControl_DataMapOfLabelExternFile::UnBind | ( | const TDF_Label & | K | ) |

The documentation for this class was generated from the following file:

- STEPCAFControl_DataMapOfLabelExternFile.hxx